package cn.com.qmth.scancentral.bean;

import cn.com.qmth.scancentral.enums.Role;

public class SchoolSession{

    private Long id;

    private String account;

    private Role role;
    
    private String markingCloudToken;


    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }


    public Role getRole() {
        return role;
    }

    public void setRole(Role role) {
        this.role = role;
    }


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }


    
    public String getMarkingCloudToken() {
        return markingCloudToken;
    }

    
    public void setMarkingCloudToken(String markingCloudToken) {
        this.markingCloudToken = markingCloudToken;
    }
    
    public static SchoolSession of(User user) {
    	SchoolSession s=new SchoolSession();
    	s.setId(user.getSchoolId());
    	s.setAccount(user.getAccount());
    	s.setMarkingCloudToken(user.getMarkingCloudToken());
    	s.setRole(user.getRole());
    	return s;
    }
    
}
