package cn.com.qmth.scancentral.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import cn.com.qmth.scancentral.entity.base.AuditingEntity;
import cn.com.qmth.scancentral.enums.StudentAnswerTaskStatus;

// 数据抽查任务
@TableName(value = "sc_student_answer_task", autoResultMap = true)
public class StudentAnswerTaskEntity extends AuditingEntity {

    private static final long serialVersionUID = -6781868544296671511L;

    private Long examId;

    private Long groupId;

    private Long studentId;

    private StudentAnswerTaskStatus status;

    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String device;
    
    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public StudentAnswerTaskStatus getStatus() {
        return status;
    }

    public void setStatus(StudentAnswerTaskStatus status) {
        this.status = status;
    }

    public String getDevice() {
        return device;
    }

    public void setDevice(String device) {
        this.device = device;
    }

}
