package cn.com.qmth.scancentral.config;

import org.springframework.stereotype.Component;

import cn.com.qmth.scancentral.support.ApiInfo;
import cn.com.qmth.scancentral.support.ResourceManager;


@Component
public class ScanResourceManager implements ResourceManager {

    @Override
    public boolean isNaked(ApiInfo apiInfo, String mapping) {
        if (null == apiInfo) {
            return true;
        }

        if (mapping.matches(".*swagger.*")) {
            return true;
        }

        if (null != apiInfo) {
            if (apiInfo.isNaked()) {
                return true;
            }
        }

        return false;
    }

}
