package cn.com.qmth.scancentral.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class SysProperty {

    private String version = "1.0.3";

    /**
     * 心跳超时时间（秒）
     */
    @Value("${scancloud.heartbeat-timeout}")
    private Integer heartbeatTimeout;

    @Value("${scancloud.file-uri-prefix}")
    private String fileUriPrefix;

    @Value("${scancloud.image-transfer.dir}")
    private String transferDir;

    public Integer getHeartbeatTimeout() {
        return heartbeatTimeout;
    }

    public void setHeartbeatTimeout(Integer heartbeatTimeout) {
        this.heartbeatTimeout = heartbeatTimeout;
    }

    public String getFileUriPrefix() {
        return fileUriPrefix;
    }

    public void setFileUriPrefix(String fileUriPrefix) {
        this.fileUriPrefix = fileUriPrefix;
    }

    public String getVersion() {
        return version;
    }

    public String getTransferDir() {
        return transferDir;
    }

    public void setTransferDir(String transferDir) {
        this.transferDir = transferDir;
    }

}
