package cn.com.qmth.scancentral.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;

import cn.com.qmth.scancentral.bean.answergroup.StudentAnswerGroupCondition;
import cn.com.qmth.scancentral.entity.base.AuditingEntity;

// 数据抽查任务分组
@TableName(value = "sc_student_answer_group", autoResultMap = true)
public class StudentAnswerGroupEntity extends AuditingEntity {

    /**
     * 
     */
    private static final long serialVersionUID = -949594321840840607L;

    private Long examId;

    @TableField(value = "conditions", typeHandler = JacksonTypeHandler.class)
    private StudentAnswerGroupCondition conditions;

    private Integer totalCount;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public StudentAnswerGroupCondition getConditions() {
        return conditions;
    }

    public void setConditions(StudentAnswerGroupCondition conditions) {
        this.conditions = conditions;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

}
